--[[
    Copyright (C) 2021 "IoT.bzh"
    Author  LEFEBVRE Valentin <valentin.lefebvre@iot.bzh>

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.


    NOTE: strict mode: every global variables should be prefixed by '_'
--]]


local testPrefix ="badge_reader_binding_BasicTests_"
local api="badge-reader"

_AFT.setBeforeEach(function() print("~~~~~ Begin Test ~~~~~") end)
_AFT.setAfterEach(function() print("~~~~~ End Test ~~~~~") end)


_AFT.setBeforeAll(function() print("~~~~~~~~~~ BEGIN BASIC TESTS ~~~~~~~~~~") return 0 end)
_AFT.setAfterAll(function() print("~~~~~~~~~~ END BASIC TESTS ~~~~~~~~~~") return 0 end)

-- This tests the "state" verb of the badge-reader API
_AFT.testVerbStatusSuccess(testPrefix.."ping", api, "ping", {})

-- This tests the "list" verb of the badge-reader API
_AFT.testVerbStatusSuccess(testPrefix.."list", api, "list", {})

_AFT.exitAtEnd()